﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Third.Chinaerdos.Entities
{
    [Api(Description ="鄂尔多斯订单")]
    public class ErdosOrder:ErdosOrderBase
    {
        #region 实体
        /// <summary>
        /// 委托书编号
        /// </summary>
        [ApiMember(Description = "委托书编号")]
        public string ORDER_NO { get; set; }

        /// <summary>
        /// 客户单据编号
        /// </summary>
        [ApiMember(Description = "客户单据编号")]
        public string CUSTOMER_ORDER_NO { get; set; }

        /// <summary>
        /// 品牌方公司简称
        /// </summary>
        [ApiMember(Description = "品牌方公司简称")]
        public string C_COMPANY_NAME { get; set; }

        /// <summary>
        /// 品牌方公司全称
        /// </summary>
        [ApiMember(Description = "品牌方公司全称")]
        public string C_COMPANY_DESC { get; set; }

        /// <summary>
        /// 供应商简称
        /// </summary>
        [ApiMember(Description = "供应商简称")]
        public string RELATED_VENDOR_NAME { get; set; }

        /// <summary>
        /// 供应商全称
        /// </summary>
        [ApiMember(Description = "供应商全称")]
        public string RELATED_VENDOR_DESC { get; set; }

        [ApiMember(Description = "供应商ID")]
        public string RELATED_VENDOR_ID { get; set; }

        /// <summary>
        /// 申请单位名称
        /// </summary>
        [ApiMember(Description = "申请单位名称")]
        public string APPLY_ORG_NAME { get; set; }

        /// <summary>
        /// 申请单位地址
        /// </summary>
        [ApiMember(Description = "申请单位地址")]
        public string APPLY_ORG_ADDRESS { get; set; }

        /// <summary>
        /// 申请单位联系人
        /// </summary>
        [ApiMember(Description = "申请单位联系人")]
        public string CONTACT_PERSON { get; set; }

        /// <summary>
        /// 申请单位联系电话
        /// </summary>
        [ApiMember(Description = "申请单位联系电话")]
        public string CONTACT_PHONE { get; set; }

        /// <summary>
        /// 申请单位邮箱
        /// </summary>
        [ApiMember(Description = "申请单位邮箱")]
        public DateTime CONTACT_EMAIL { get; set; }

        /// <summary>
        /// 付款单位名称
        /// </summary>
        [ApiMember(Description = "付款单位名称")]
        public DateTime PAYER_ORG_NAME { get; set; }

        /// <summary>
        /// 付款单位地址
        /// </summary>
        [ApiMember(Description = "付款单位地址")]
        public string PAYER_ORG_ADDRESS { get; set; }

        /// <summary>
        /// 委托单位地址
        /// </summary>
        [ApiMember(Description = "委托单位地址")]
        public string COMPANY_ADDRESS { get; set; }

        /// <summary>
        /// 品牌
        /// </summary>
        [ApiMember(Description = "品牌")]
        public string BRAND_DISPLAY { get; set; }

        /// <summary>
        /// 送检类型（首次检测, 重检）
        /// </summary>
        [ApiMember(Description = "送检类型（首次检测, 重检）")]
        public string IS_RECHECK_DISPLAY { get; set; }

        /// <summary>
        /// 样品类型
        /// </summary>
        [ApiMember(Description = "样品类型")]
        public string THIRDPARTY_TESTING_TESTPART_DISPLAY { get; set; }

        /// <summary>
        /// 样品等级
        /// </summary>
        [ApiMember(Description = "样品等级")]
        public string SAMPLE_GRADE_DISPLAY { get; set; }

        /// <summary>
        /// 成品款号
        /// </summary>
        [ApiMember(Description = "成品款号")]
        public string PRD_CODE { get; set; }

        /// <summary>
        /// 成品款名
        /// </summary>
        [ApiMember(Description = "成品款名")]
        public string PRD_NAME { get; set; }

        /// <summary>
        /// 成品颜色
        /// </summary>
        [ApiMember(Description = "成品颜色")]
        public string PRD_F1_DISPLAY { get; set; }

        /// <summary>
        /// 料号
        /// </summary>
        [ApiMember(Description = "料号")]
        public string MAT_CODE { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        [ApiMember(Description = "物料名称")]
        public string MAT_NAME { get; set; }

        /// <summary>
        /// 物料颜色
        /// </summary>
        [ApiMember(Description = "物料颜色")]
        public string MAT_F1_DISPLAY { get; set; }

        /// <summary>
        /// 样品描述
        /// </summary>
        [ApiMember(Description = "样品描述")]
        public string SAMPLE_NAME { get; set; }

        /// <summary>
        /// 品牌商标
        /// </summary>
        [ApiMember(Description = "年度")]
        public string YEAR_DISPLAY { get; set; }

        /// <summary>
        /// 样品阶段
        /// </summary>
        [ApiMember(Description = "季节")]
        public string SEASONS_DISPLAY { get; set; }

        /// <summary>
        /// 安全技术类别
        /// </summary>
        [ApiMember(Description = "安全技术类别")]
        public string CHECK_LEVEL_DISPLAY { get; set; }

        /// <summary>
        /// 执行标准
        /// </summary>
        [ApiMember(Description = "执行标准")]
        public string CHECK_STANDARD_DISPLAY { get; set; }

        /// <summary>
        /// 测试周期(常规,加急, 快反加急)
        /// </summary>
        [ApiMember(Description = "测试周期(常规,加急, 快反加急)")]
        public string TESTING_CYCLE { get; set; }

        /// <summary>
        /// 原料成分
        /// </summary>
        [ApiMember(Description = "备注")]
        public string REMARK { get; set; }

        /// <summary>
        /// 检测项信息
        /// </summary>
        [ApiMember(Description = "检测项信息")]
        public List<ErdosOrderDetail> ITEMS { get; set; }
        #endregion
    }

    public class ErdosOrderDetail
    {
        /// <summary>
        /// 检测项⽬
        /// </summary>
        [ApiMember(Description = "检测项⽬")]
        public string ITEM_NAME { get; set; }

        /// <summary>
        /// 测试方法
        /// </summary>
        [ApiMember(Description = "测试方法")]
        public string ITEM_STANDARD { get; set; }

        /// <summary>
        /// 检测机构检测项目唯一标识
        /// </summary>
        [ApiMember(Description = "检测机构检测项目唯一标识")]
        public string S_CHECK_ITEM_CODE { get; set; }
    }
}
